$!****************************************************************************
$!****************************************************************************
$!
$!  ARCHIVE HEADER INFORMATION
$!
$!  @VAX-VMS-shell-file{
$!      FILENAME    = "vmsbuild.com",
$!      VERSION     = "1.00",
$!      DATE        = "",
$!      TIME        = "",
$!
$!      AUTHOR      = "Niel Kempson",
$!      ADDRESS     = "25 Whitethorn Drive, Cheltenham, GL52 5LL, England",
$!      TELEPHONE   = "+44-242 579105",
$!      EMAIL       = "kempson@tex.ac.uk (Internet)",
$!
$!      SUPPORTED   = "yes",
$!      ARCHIVED    = "tex.ac.uk, ftp.tex.ac.uk",
$!      KEYWORDS    = "VVcode",
$!
$!      CODETABLE   = "ISO/ASCII",
$!      CHECKSUM    = "51492 1481 5732 57976",
$!
$!      DOCSTRING   = { This is a simple VMS command procedure to build
$!                      VVcode.
$!                  }
$!  }
$!
$!  MODULE CONTENTS
$!
$!      [tbs]
$!
$!  COPYRIGHT
$!
$!      Copyright (c) 1991-1993 by Niel Kempson <kempson@tex.ac.uk>
$!
$!      This program is free software; you can redistribute it and/or
$!      modify it under the terms of the GNU General Public License as
$!      published by the Free Software Foundation; either version 1, or
$!      (at your option) any later version.
$!
$!      This program is distributed in the hope that it will be useful,
$!      but WITHOUT ANY WARRANTY; without even the implied warranty of
$!      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
$!      General Public License for more details.
$!
$!      You should have received a copy of the GNU General Public License
$!      along with this program; if not, write to the Free Software
$!      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
$!
$!      In other words, you are welcome to use, share and improve this
$!      program.  You are forbidden to forbid anyone else to use, share
$!      and improve what you give them.   Help stamp out software-hoarding!  
$!
$!  CHANGE LOG
$!
$!****************************************************************************
$!****************************************************************************
$       ON ERROR THEN $ GOTO Exit_Label
$       ver_state = F$VERIFY (0)
$       WSO = "WRITE SYS$OUTPUT"
$!
$!----------------------------------------------------------------------------
$!
$! Local definitions for file types and compilation / linking.
$!
$! Customize compiler & linker qualifiers here (e.g. to build a debugging 
$! version or to use GNU C).
$!
$!----------------------------------------------------------------------------
$       COMPILER = "CC"
$       CCFLAGS = "/WARNINGS /STANDARD=PORTABLE"
$       LINKFLAGS = "/TRACEBACK /NODEBUG"
$!
$!----------------------------------------------------------------------------
$! Allow an optional parameter "LINKONLY".
$!----------------------------------------------------------------------------
$       IF P1 .EQS. "LINKONLY"
$           THEN
$           SET VERIFY
$           GOTO Link_Stage
$       ENDIF
$!
$!----------------------------------------------------------------------------
$! End of local definitions.
$!----------------------------------------------------------------------------
$       WSO "Starting to build VVcode at ''F$TIME()'"
$       SET VERIFY
$       'COMPILER' 'CCFLAGS' vvdecode.c
$       'COMPILER' 'CCFLAGS' vvencode.c
$       'COMPILER' 'CCFLAGS' vveparse.c
$       'COMPILER' 'CCFLAGS' vvutils.c
$       'COMPILER' 'CCFLAGS' vaxvms.c
$!
$!----------------------------------------------------------------------------
$! All modules have been compiled so link them together.
$!----------------------------------------------------------------------------
$Link_Stage:
$       LINK 'LINKFLAGS' vvencode.obj, vvutils.obj, vaxvms.obj, -
             SYS$INPUT: /OPTIONS
SYS$LIBRARY:VAXCRTL /SHAREABLE
$!----------------------------------------------------------------------------
$       LINK 'LINKFLAGS' vvdecode.obj, vveparse.obj, vvutils.obj, -
             vaxvms.obj, SYS$INPUT: /OPTIONS
SYS$LIBRARY:VAXCRTL /SHAREABLE
$!----------------------------------------------------------------------------
$       SET NOVERIFY
$       WSO "VVcode built at ''F$TIME()'"
$!
$!----------------------------------------------------------------------------
$! We should always exit the command procedure here.  If we came here as the
$! result of an error, return the error status on exit.
$!----------------------------------------------------------------------------
$Exit_Label:
$       save_status = $STATUS
$       IF ver_state
$	        THEN
$ 	        SET VERIFY
$       ENDIF
$       EXIT 'save_status'
